zpArdoise: Watermark on Large/Full Size image

Hi,

I appreciate greatly the wonderful work that Vincent has put in his theme that I have chosen for my website-connected image gallery. Merci beaucoup, Vincent!

In the past Vincent has helped me with the UTF-8 support for tags with diacriticals and with the search function for those tags that consist of 2 or more words.

I have just one problem left:

The Watermark only appears on the small image, but not on the larger or full-size image.

I am not currently using the Gallerific option (I like it better without), and Colorbox functions just on the Image level (not on the Album level).

My web host provides a ZenPhoto package which is always some 6 months back from the current ZP release. So, at this point I use ZP 1.4.3 with the corresponding zpArdoise (1.4.3.1).

That means I could not possibly use Vincent's "nightly builds" (if they are still offerred...).

I would like to know if there is any kind of editing I could make in the CSS files so that the watermark might be still overlaid on the Large and Full-Size images.

I chacked the colorbox.css file but could not find how the watermark could be made to appear there. I am probably looking in the wrong place. Could give me a hint of how to make this work?

Comments

  • acrylian Administrator
    About the outdated offerings you really should contact your host. As you know we are only able to support the current release.

    I leave it to Vincent to answer the theme issue as I am not familiar with the theme.
  • Thank you for your prompt reply. I understand your policy of supporting just the latest versions of the themes. But Vincent is still offering the older releases on his website and I see that the watermark-on-last-image was an issue a few months ago, so it's not some recent bug.

    Of course I could always watermark the files in a third-party program, but that means an even longer workflow...
  • hi

    watermark are not managed by CSS : a new image with watermark is created in cache image...

    as told here, zpArdoise 1.4.4 supports ZenPhoto capabilities on displaying protected images
    http://www.zenphoto.org/support/topic.php?id=8217&page=3

    so, you should upgrade your zenphoto version to use the lastest release of zpArdoise.
  • acrylian Administrator
    I understand your policy of supporting just the latest versions of the themes.
    Just that there is no misunderstanding: We - the Zenphoto team - only support what comes with the official Zenphoto package. zpArdoise is Vincent's theme and being third party therefore actually not directly supported by us at all (we try to help what we can though)
  • Well, it looks like this is a dead end for me: my web host has just ZenPhoto 1.4.3 pre-installed and my attemt at installing 1.4. myself was to no avail.

    I guess, all I can do is just wait for my web host to install ZP 1.4.4 and then proceed with zpArdoise 1.4.4.

    In the meanwhile I'll have to disable the larger images from appearing...
  • acrylian Administrator
    Why not contact your host and request current release. Feel free to point here as a reference.
    Afterall you are (as I assume) paying customer of your host.
  • Yes, I am a paying customer. Plus ZP being free, it would cost nothing to have it installed.

    I have taken your advice and I have written to my web host. Let's see if it works out.

  • In the meanwhile I'll have to disable the larger images from appearing...

    yes, this is a workaround :
    - in admin/options/images / Watermarks :
    set a watermark or copyright on Images

    - in admin/options/plugin/slideshow
    set "sized images" for "Colorbox image type"

    - in admin/options/theme
    disable "Use Colorbox in Album page"
    disable "Use Colorbox in Image page"

    with that, you will have only protected pictures.

    antoher workaround is to retrofit zpArdoise 1.4.3 with improvements of 1.4.4 (not tested by me : at your own risks)
    you can compare album.php, image.php and inc_print_image_thumb.php.
    in these files, I use getFullImageURL() rather than getUnprotectedImageURL() to offer zenphoto capabilities on displaying protected image.
  • Hi, Vincent and Acrylian,

    Thank you very much for your support!

    In the meanwhile I have received the following message from my web host:

    "hWe have gone through your issue and the ZenPhoto 1.4.4 is not yet provided from Simple scripts. The Simple scripts is the service provider which is provided from our side, nothing much can be done you will be able to upgrade the zen photo only when they provide the latest version. However we suggest you to upgrade the application to the latest version manually from your side. If you are not able to upgrade, we suggest you to upload the upgrading files to different directory and get back to us, so that we can assist you further."

    Well, "when they provide the latest verion" is not very clear for me...

    I would try Vincent's workaround first. I assume that just downloading the original versions on my computer and being able to upload them on the server would be enough in case of malfunction, would it?

    As for my web host's advice, I understand that it's OK for them if I just install the new ZenPhoto version. But how to do that? Should I just FTP the files of the 1.4.4 release into the same location? Wouldn't this crash the present settings?

    Or are there just a few specific files / folders that need to be copied?
  • fretzl Administrator
    I understand that it's OK for them if I just install the new ZenPhoto version. But how to do that?
    You should be able to do it yourself if you follow these instructions.
    http://www.zenphoto.org/news/installation-and-upgrading#2

    If not, use the offer made to you by your host:
    If you are not able to upgrade, we suggest you to upload the upgrading files to different directory and get back to us, so that we can assist you further.

  • I would try Vincent's workaround first. I assume that just downloading the original versions on my computer and being able to upload them on the server would be enough in case of malfunction, would it?

    of course, backup your actual theme, and download original zpArdoise 1.4.4 and 1.4.3.
    then, retrofit zpArdoise 1.4.3 with improvements of 1.4.4 as told above.
  • acrylian Administrator
    SimpleScripts had at least reportedly improved their install ways so we don't "warn" for them anymore on our install page. But now being not current is really unfortunate.

    Maybe your host should complain to them... Otherwise they never will change it I guess.
  • Hi,

    I took Vincent's advice --merci, Vincent, encore une fois!-- and I have made the changes suggested in the album.php and image.php files. It all went smoothly, and without any niggles, the large and full-size images all have their watermarks. Great!

    I want to thank all of you who chipped with their expertise here. I appreciate this even more as I know one's time is so precious to be spent helping strangers. You are a great community !
  • acrylian Administrator
    Your're welcome...:-)
Sign In or Register to comment.